import { RelayServerOptions } from "./relay-server.interface";
import { Observable } from "rxjs";
import { ClientAdapterInterface } from "./client-adapter.interface";
export interface ServerAdapterInterface {
    listen(options: RelayServerOptions): Promise<any>;
    connections(): Observable<ClientAdapterInterface>;
    stop(): Promise<any>;
}
